combine.4thcorner {ade4} | R Documentation

## Functions to combine and adjust the outputs 3-table methods

### Description

Functions to combine and adjust the outputs of the `fourthcorner` and `randtest.rlq` functions created using permutational models 2 and 4 (sequential approach).

### Usage

    combine.randtest.rlq(obj1, obj2, ...)
    combine.4thcorner(four1,four2)
    p.adjust.4thcorner(x, p.adjust.method.G = p.adjust.methods,
    p.adjust.method.D = p.adjust.methods, p.adjust.D = c("global",
    "levels"))

### Arguments

`four1` | an object of the class 4thcorner created with modeltype = 2 (or 4)
`four2` | an object of the class 4thcorner created with modeltype = 4 (or 2)
`obj1` | an object created with `randtest.rlq` and modeltype = 2 (or 4)
`obj2` | an object created with `randtest.rlq` and modeltype = 4 (or 2)
`x` | an object of the class 4thcorner
`p.adjust.method.G` | a string indicating a method for multiple adjustment used for output tabG, see `p.adjust.methods` for possible choices
`p.adjust.method.D` | a string indicating a method for multiple adjustment used for output tabD/tabD2, see `p.adjust.methods` for possible choices
`p.adjust.D` | a string indicating if multiple adjustment for tabD/tabD2 should be done globally or only between levels of a factor ("levels", as in the original paper of Legendre et al. 1997)
`...` | further arguments passed to or from other methods

### Details

The functions combines the outputs of two objects (created by `fourthcorner` and `randtest.rlq` functions) as described in Dray and Legendre (2008) and ter Braak et al (2012).

### Value

The functions return objects of the same class than their argument. They simply create a new object where pvalues are equal to the maximum of pvalues of the two arguments.

### Author(s)

Stéphane Dray stephane.dray@univ-lyon1.fr

### References

Dray, S. and Legendre, P. (2008) Testing the species traits-environment relationships: the fourth-corner problem revisited. Ecology, 89, 3400–3412.

ter Braak, C., Cormont, A., and Dray, S. (2012) Improved testing of species traits-environment relationships in the fourth corner problem. Ecology, 93, 1525–1526.

### See Also

`rlq`, `fourthcorner`, `p.adjust.methods`

### Examples

    data(aravo)
    four2 <- fourthcorner(aravo$env, aravo$spe, aravo$traits, nrepet=99,modeltype=2)
    four4 <- fourthcorner(aravo$env, aravo$spe, aravo$traits, nrepet=99,modeltype=4)
    four.comb <- combine.4thcorner(four2,four4)
    ## or directly :
    ## four.comb <- fourthcorner(aravo$env, aravo$spe, aravo$traits, nrepet=99,modeltype=6)
    summary(four.comb)
    plot(four.comb, stat = "G")

[Package ade4 version 1.7-13 Index]